<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.huatek.busi.mapper.GlobalSettingItemMapper">

    <sql id="Base_Column_List">
        id,
        file_upload_number AS fileUploadNumber,
        root_path AS rootPath,
        local_temp_path as localTempPath,
        create_user AS createUser,
        create_time AS createTime
    </sql>

    <select id="findOne" resultType="com.huatek.busi.entity.GlobalSettingItem">
        SELECT
            <include refid="Base_Column_List"/>
        FROM
            x_global_setting_item
    </select>

    <delete id="delete">
        delete from x_global_setting_item
    </delete>
</mapper>